/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BEAT_H
#define BEAT_H

#include <qobject.h>
#include <qvaluevector.h>
#include <qstring.h>

// Abstract class for different types of beats.

class Beat : public QObject
{
	
	
	Q_OBJECT
	public:
		Beat(QObject *parent = 0, const char *name = 0);
		~Beat();
		
		 bool isAvailable() { return available; };
		enum beatType {
			Click,
			Knock,
			Beep
		};
		
	protected:
		bool available;
	
	public slots:
		virtual void makeSound() = 0;
		virtual void makeAccentuatedSound() = 0;
		virtual void setVolume(float volume) = 0;
};

#endif
