/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/ 

#ifndef SDLBEAT_H
#define SDLBEAT_H

#include "beat.h"

#include <qobject.h>
#include <qstring.h>
#include <kstandarddirs.h>

#include <SDL/SDL_mixer.h>

class SDLBeat : public Beat
{
	Q_OBJECT
	public:
		SDLBeat(QString normal, QString accentuated = "", QObject *parent = 0, const char *name = 0);
		~SDLBeat();
	
	private:
		Mix_Chunk *normalChunk;
		Mix_Chunk *accentuatedChunk;
	
	public slots:
		void makeSound();
		void makeAccentuatedSound();
		void setVolume(float volume);
};

#endif 
