/***************************************************************************
*   Copyright (C) 2006 by Matej Svejda                                    *
*   mata@aw-modell.at                                                     *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include "destick.h"

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
	I18N_NOOP("A metronome that just works.");

static const char version[] = "0.3";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
	KCmdLineLastOption
};

int main(int argc, char **argv)
{
	KAboutData about("destick", I18N_NOOP("Destick"), version, description,
			KAboutData::License_GPL_V2, "(C) 2006 Matej Svejda", 0, 0, "mata@aw-modell.at");
	about.addAuthor("Matej Svejda", 0, "mata@aw-modell.at");
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions(options);
	KApplication app;
	Destick *mainWin = 0;

	
	// no session.. just start up normally
	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

	mainWin = new Destick(&app);
	app.setMainWidget(mainWin);
	mainWin->show();

	args->clear();


	// mainWin has WDestructiveClose flag by default, so it will delete itself.
	return app.exec();
}


