/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SINUSVISUALIZATION_H
#define SINUSVISUALIZATION_H

#include "visualization.h"

#include <qobject.h>
#include <qwidget.h>
#include <qtimer.h>
#include <qpainter.h>
#include <math.h>
#include <qcolor.h>
#include <kapplication.h>

class SinusVisualization : public Visualization
{
	Q_OBJECT
	public:
		SinusVisualization(QWidget *aTarget, QRect aTargetArea, QObject *parent = 0, const char *name = 0);
		~SinusVisualization();

	
	private:
		int bpm;
		QColor lineColor;
		QTimer timer;
		
		bool running;
		
	private slots:
		void draw();
		
	public slots:
		void setBPM(int aBPM);
		void start();
		void stop();
		void nextBeat(int beatAccentuation);
		void setVisibility(bool aVisible);

};

#endif
