/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef VISUALIZATION_H
#define VISUALIZATION_H

#include <qobject.h>
#include <qwidget.h>
#include <qrect.h>

// Abstract class for Vizualizations.

class Visualization : public QObject
{
	Q_OBJECT
	public:
		Visualization(QWidget *aTarget, QRect aTargetArea, QObject *parent = 0, const char *name = 0);
		
		enum beatAccentuation {
			Normal,
			Accentuated
		};
	
	protected:
		QWidget *target;
		QRect targetArea;
		bool visible;
		
	public slots:
		virtual void start() = 0;
		virtual void stop() = 0;
		virtual void setBPM(int aBPM) = 0;
		virtual void nextBeat(int beatAccentuation) = 0; // Type indicates whether the next beat is normal or accentuated (see enum beatAccentuation).
		virtual void setVisibility(bool aVisible) = 0;
		
		bool isVisible();
};

#endif
