/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "beatselect.h"
#include "beatselect.moc"

BeatSelect::BeatSelect(int type, QWidget *parent, const char *name) :
	QWidget(parent, name)
{
	select = new KComboBox(false, this);

	// See enum beatType in beatselect.h
	select->insertItem(i18n("Click"));
	select->insertItem(i18n("Knock"));
	select->insertItem(i18n("Beep"));
	
	select->setCurrentItem(type);
	
	connect(select, SIGNAL(activated(int)), this, SIGNAL(beatChanged(int)));
	
	QHBoxLayout *layout = new QHBoxLayout(this);
	layout->addWidget(select);
}


BeatSelect::~BeatSelect()
{
}
