/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef BPMEDIT_H
#define BPMEDIT_H

#include <qwidget.h>
#include <qstring.h>
#include <qlineedit.h>
#include <qdatetime.h>
#include <qtimer.h>
#include <qvaluevector.h>
#include <qcolor.h>
#include <qstring.h>
#include <qdatetime.h>
#include <klocale.h>
#include <qpalette.h>
#include <kapplication.h>

class BPMEdit : public QLineEdit
{
	Q_OBJECT
	public:
		BPMEdit(QWidget *parent = 0, const char *name = 0);
		~BPMEdit();

	protected:
		void mouseReleaseEvent(QMouseEvent *event);
		void keyReleaseEvent(QKeyEvent *event);
		
	private:
		bool calculating;
		int max;
		int min;
		QValueVector<int> bpms;
		QTime time;
		QTimer *timer;
		QColor defaultColor;
		QColor highlightedColor;
		
		void calculateBPM();
		
	signals:
		void clicked();
		void bpmChanged(int bpm);
	
	private slots:
		void checkElapsedTime();
		void stopCalculating();
		void changeBPM();
		
	public slots:
		void setBPMRange(int aMin, int aMax);
		void setBPMSilently(int bpm);
};

#endif
