/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef BPMSLIDER_H
#define BPMSLIDER_H

#include "bpmedit.h"

#include <qwidget.h>
#include <qslider.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qstring.h>
#include <klocale.h>

class BPMSlider : public QWidget
{
	Q_OBJECT
	public:
		BPMSlider(QWidget *parent = 0, const char *name = 0);
		~BPMSlider();
		void setRange(int max, int min);
	
	private:
		QSlider *slider;
		BPMEdit *bpmEdit;
	
	signals:
		void bpmChanged(int bpm);
		void bpmEditClicked();
		void returnPressed();
	
	public slots:
		void setBPM(int bpm);
		int getBPM() { return slider->value(); };
		
	private slots:
		void setBPMEdit(int bpm);
		void setBPMSlider(int bpm);

};

#endif
