/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef BPMETOOLTIP_H
#define BPMETOOLTIP_H

#include <qwidget.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qpainter.h>
#include <qstring.h>
#include <qrect.h>
#include <qpointarray.h>
#include <qcolor.h>
#include <klocale.h>
#include <qlayout.h>
#include <qfont.h>
#include <qrect.h>
#include <qbitmap.h>
#include <qpen.h>


class BPMToolTip : public QWidget
{
	Q_OBJECT
	public:
		BPMToolTip(QWidget *parent = 0, const char *name = 0);
		~BPMToolTip();
		
		int width();
		int height();
		
	protected:
		void paintEvent(QPaintEvent *);
		void mouseReleaseEvent(QMouseEvent *);
		
	private:
		QString toolTipText;
		QRect geometry;
		QRect roundRect;
		QPointArray triangle;
		QColor backgroundColor;
		
		int bubbleArrowHeight;
		int bubbleArrowWidth;
		int bubbleArrowRight;

	signals:
		void clicked();
};

#endif