/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "togglebutton.h"
#include "togglebutton.moc"

ToggleButton::ToggleButton(QWidget *parent, const char *name) :
	QPushButton(parent, name)
{
	active = false;
	this->setText(i18n("&Start"));
	connect(this, SIGNAL(clicked()), this, SLOT(toggle()));
}


ToggleButton::~ToggleButton()
{
}

void ToggleButton::activate()
{
	setActive(true);
}

void ToggleButton::setActive(bool aActive)
{
	if(active == aActive) {
		return;
	}
	active = aActive;
	if(active) {
		emit start();
		this->setText(i18n("&Stop"));
	} else {
		emit stop();
		this->setText(i18n("&Start"));
	}
}

void ToggleButton::toggle()
{
	setActive(!active);

}