/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "volumeslider.h"
#include "volumeslider.moc"

VolumeSlider::VolumeSlider(QWidget *parent, const char *name) :
	QWidget(parent, name)
{
	slider = new QSlider(Qt::Horizontal, this);
	slider->setTickInterval(10);
	slider->setTickmarks(QSlider::Below);
	slider->setRange(0, 100);
	
	label = new QLabel(this);
	label->setMinimumWidth(40);
	
	QHBoxLayout *layout = new QHBoxLayout(this);
	layout->addWidget(slider);
	layout->addSpacing(5);
	layout->addWidget(label);
	
	connect(slider, SIGNAL(valueChanged(int)), this, SLOT(setLabelVolume(int)));
}


VolumeSlider::~VolumeSlider()
{
}

void VolumeSlider::setLabelVolume(int sliderValue)
{
	QString value;
	value.setNum(sliderValue);
	label->setText(value + " %");
	emit volumeChanged(static_cast<float>(sliderValue) / 100);
}

void VolumeSlider::setVolume(float volume)
{
	slider->setValue(static_cast<int>(volume * 100));
	emit volumeChanged(volume);
}


