/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef VOLUMESLIDER_H
#define VOLUMESLIDER_H

#include <qwidget.h>
#include <qlabel.h>
#include <qslider.h>
#include <qstring.h>
#include <qlayout.h>

class VolumeSlider : public QWidget
{
	Q_OBJECT
	public:
		VolumeSlider(QWidget *parent = 0, const char *name = 0);
		~VolumeSlider();
		
	private:
		QLabel *label;
		QSlider *slider;
		
	signals:
		void volumeChanged(float volume);
		
	public slots:
		void setVolume(float volume);
		float getVolume() { return static_cast<float>(slider->value()) / 100; };
		
	private slots:
		void setLabelVolume(int sliderValue);
};

#endif
